FROM ros:humble-ros-base-jammy

# Resolve APT dependencies
RUN apt-get update -qq
RUN apt-get install apt-utils software-properties-common -yqq
RUN add-apt-repository ppa:antiprism/ppa -y
RUN apt-get install apt-utils software-properties-common python3-pip g++ python3-dev python3-gdal libgdal-dev libsqlite3-mod-spatialite antiprism git libqt5gui5 libqt5core5a qtbase5-dev qtchooser qt5-qmake qtbase5-dev-tools libxtst6 libasound2 -yqq

# Clone and install Pyrate
COPY pyrate/ pyrate
RUN pip3 install ./pyrate

# Clone and install Model
COPY model/ model
RUN pip3 install ./model

# Clone ROS nodes and install requirements
COPY ros-nodes/ ros-nodes

WORKDIR ros-nodes
RUN pip3 install -r requirements.txt
RUN rosdep update -q
RUN rosdep install -q -y -i --from-path src --as-root pip:false
RUN pip install jupyter
SHELL ["/bin/bash", "-c", "source /opt/ros/humble/setup.bash && colcon build --symlink-install"]
RUN source install/setup.bash
